
From: Roman Zippel <zippel@linux-m68k.org>

This completes the Kconfig cleanup for all other archs.  CPU_FREQ_TABLE was
moved to drivers/cpufreq/Kconfig and is selected as needed.

Signed-off-by: Roman Zippel <zippel@linux-m68k.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/ppc/Kconfig                   |    6 +-----
 25-akpm/arch/sh/Kconfig                    |   11 +----------
 25-akpm/arch/sparc64/Kconfig               |   16 ++++------------
 25-akpm/arch/x86_64/kernel/cpufreq/Kconfig |   28 ++++++++++------------------
 4 files changed, 16 insertions(+), 45 deletions(-)

diff -puN arch/ppc/Kconfig~complete-cpufreq-kconfig-cleanup arch/ppc/Kconfig
--- 25/arch/ppc/Kconfig~complete-cpufreq-kconfig-cleanup	Wed Mar 30 13:21:11 2005
+++ 25-akpm/arch/ppc/Kconfig	Wed Mar 30 13:21:11 2005
@@ -203,16 +203,12 @@ source "drivers/cpufreq/Kconfig"
 config CPU_FREQ_PMAC
 	bool "Support for Apple PowerBooks"
 	depends on CPU_FREQ && ADB_PMU
+	select CPU_FREQ_TABLE
 	help
 	  This adds support for frequency switching on Apple PowerBooks,
 	  this currently includes some models of iBook & Titanium
 	  PowerBook.
 
-config CPU_FREQ_TABLE
-	tristate
-	depends on CPU_FREQ_PMAC
-	default y
-
 config PPC601_SYNC_FIX
 	bool "Workarounds for PPC601 bugs"
 	depends on 6xx && (PPC_PREP || PPC_PMAC)
diff -puN arch/sh/Kconfig~complete-cpufreq-kconfig-cleanup arch/sh/Kconfig
--- 25/arch/sh/Kconfig~complete-cpufreq-kconfig-cleanup	Wed Mar 30 13:21:11 2005
+++ 25-akpm/arch/sh/Kconfig	Wed Mar 30 13:21:11 2005
@@ -659,19 +659,10 @@ menu "CPU Frequency scaling"
 
 source "drivers/cpufreq/Kconfig"
 
-config CPU_FREQ_TABLE
-	tristate "CPU frequency table helpers"
-	depends on CPU_FREQ
-	default y
-	help
-	  Many cpufreq drivers use these helpers, so only say N here if
-	  the cpufreq driver of your choice doesn't need these helpers.
-
-	  If unsure, say Y.
-
 config SH_CPU_FREQ
 	tristate "SuperH CPU Frequency driver"
 	depends on CPU_FREQ
+	select CPU_FREQ_TABLE
 	help
 	  This adds the cpufreq driver for SuperH. At present, only
 	  the SH-4 is supported.
diff -puN arch/sparc64/Kconfig~complete-cpufreq-kconfig-cleanup arch/sparc64/Kconfig
--- 25/arch/sparc64/Kconfig~complete-cpufreq-kconfig-cleanup	Wed Mar 30 13:21:11 2005
+++ 25-akpm/arch/sparc64/Kconfig	Wed Mar 30 13:21:11 2005
@@ -136,19 +136,10 @@ config NR_CPUS
 
 source "drivers/cpufreq/Kconfig"
 
-config CPU_FREQ_TABLE
-       tristate "CPU frequency table helpers"
-       depends on CPU_FREQ
-       default y
-       help
-         Many CPUFreq drivers use these helpers, so only say N here if
-	 the CPUFreq driver of your choice doesn't need these helpers.
-
-	 If in doubt, say Y.
-
 config US3_FREQ
 	tristate "UltraSPARC-III CPU Frequency driver"
-	depends on CPU_FREQ_TABLE
+	depends on CPU_FREQ
+	select CPU_FREQ_TABLE
 	help
 	  This adds the CPUFreq driver for UltraSPARC-III processors.
 
@@ -158,7 +149,8 @@ config US3_FREQ
 
 config US2E_FREQ
 	tristate "UltraSPARC-IIe CPU Frequency driver"
-	depends on CPU_FREQ_TABLE
+	depends on CPU_FREQ
+	select CPU_FREQ_TABLE
 	help
 	  This adds the CPUFreq driver for UltraSPARC-IIe processors.
 
diff -puN arch/x86_64/kernel/cpufreq/Kconfig~complete-cpufreq-kconfig-cleanup arch/x86_64/kernel/cpufreq/Kconfig
--- 25/arch/x86_64/kernel/cpufreq/Kconfig~complete-cpufreq-kconfig-cleanup	Wed Mar 30 13:21:11 2005
+++ 25-akpm/arch/x86_64/kernel/cpufreq/Kconfig	Wed Mar 30 13:21:11 2005
@@ -6,22 +6,13 @@ menu "CPU Frequency scaling"
 
 source "drivers/cpufreq/Kconfig"
 
-config CPU_FREQ_TABLE
-       tristate "CPU frequency table helpers"
-       depends on CPU_FREQ
-       default y
-       help
-         Many CPUFreq drivers use these helpers, so only say N here if
-	 the CPUFreq driver of your choice doesn't need these helpers.
-
-	 If in doubt, say Y.
+if CPU_FREQ
 
 comment "CPUFreq processor drivers"
-       depends on CPU_FREQ
 
 config X86_POWERNOW_K8
 	tristate "AMD Opteron/Athlon64 PowerNow!"
-	depends on CPU_FREQ_TABLE
+	select CPU_FREQ_TABLE
 	help
 	  This adds the CPUFreq driver for mobile AMD Opteron/Athlon64 processors.
 
@@ -31,12 +22,14 @@ config X86_POWERNOW_K8
 
 config X86_POWERNOW_K8_ACPI
 	bool
-	depends on ((X86_POWERNOW_K8 = "m" && ACPI_PROCESSOR) || (X86_POWERNOW_K8 = "y" && ACPI_PROCESSOR = "y"))
+	depends on X86_POWERNOW_K8 && ACPI_PROCESSOR
+	depends on !(X86_POWERNOW_K8 = y && ACPI_PROCESSOR = m)
 	default y
 
 config X86_SPEEDSTEP_CENTRINO
 	tristate "Intel Enhanced SpeedStep"
-	depends on CPU_FREQ_TABLE && ACPI_PROCESSOR
+	select CPU_FREQ_TABLE
+	depends on ACPI_PROCESSOR
 	help
 	  This adds the CPUFreq driver for Enhanced SpeedStep enabled
 	  mobile CPUs.  This means Intel Pentium M (Centrino) CPUs
@@ -53,7 +46,7 @@ config X86_SPEEDSTEP_CENTRINO_ACPI
 
 config X86_ACPI_CPUFREQ
 	tristate "ACPI Processor P-States driver"
-	depends on CPU_FREQ_TABLE && ACPI_PROCESSOR
+	depends on ACPI_PROCESSOR
 	help
 	  This driver adds a CPUFreq driver which utilizes the ACPI
 	  Processor Performance States.
@@ -63,7 +56,6 @@ config X86_ACPI_CPUFREQ
 	  If in doubt, say N.
 
 comment "shared options"
-	depends on CPU_FREQ
 
 config X86_ACPI_CPUFREQ_PROC_INTF
         bool "/proc/acpi/processor/../performance interface (deprecated)"
@@ -78,7 +70,7 @@ config X86_ACPI_CPUFREQ_PROC_INTF
 
 config X86_P4_CLOCKMOD
 	tristate "Intel Pentium 4 clock modulation"
-	depends on CPU_FREQ_TABLE && EMBEDDED
+	depends on EMBEDDED
 	help
 	  This adds the clock modulation driver for Intel Pentium 4 / XEON
 	  processors.  When enabled it will lower CPU temperature by skipping
@@ -96,9 +88,9 @@ config X86_P4_CLOCKMOD
 
 config X86_SPEEDSTEP_LIB
         tristate
-        depends on (X86_P4_CLOCKMOD)
-        default (X86_P4_CLOCKMOD)
+        default X86_P4_CLOCKMOD
 
+endif
 
 endmenu
 
_
